# -*- coding: utf-8 -*-
from __future__ import annotations

import logging

from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _

from hotpocket_backend.apps.core.conf import settings

LOGGER = logging.getLogger(__name__)


class CoreConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    label = 'core'
    name = 'hotpocket_backend.apps.core'
    verbose_name = _('Core')

    def ready(self):
        LOGGER.info(
            'HotPocket Backend ready: env=`%s` app=`%s`',
            settings.ENV.name,
            settings.APP.name,
        )
